## org.apache.commons.collections.set
Class SynchronizedSet

    java.lang.Object
      org.apache.commons.collections.collection.SynchronizedCollection
          org.apache.commons.collections.set.SynchronizedSet

All Implemented Interfaces:
  Collection, Serializable, Set

public class SynchronizedSet
extends SynchronizedCollection
implements Set

Decorates another `Set` to synchronize its behaviour for a multi-threaded environment.

Methods are synchronized, then forwarded to the decorated set.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/06/03 22:02:13 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`collection, lock`

Constructor Summary
`protected` `SynchronizedSet(Set set)` Constructor that wraps (not copies).
`protected` `SynchronizedSet(Set set, Object lock)` Constructor that wraps (not copies).

Method Summary
`static Set` `decorate(Set set)` Factory method to create a synchronized set.
`protected Set` `getSet()` Gets the decorated set.

Methods inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`add, addAll, clear, contains, containsAll, decorate, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### SynchronizedSet

    protected SynchronizedSet(Set set)

  Constructor that wraps (not copies).

Parameters:
  `set` - the set to decorate, must not be null
Throws:
  `IllegalArgumentException` - if set is null

### SynchronizedSet

    protected SynchronizedSet(Set set,
                              Object lock)

  Constructor that wraps (not copies).

Parameters:
  `set` - the set to decorate, must not be null
  `lock` - the lock object to use, must not be null
Throws:
  `IllegalArgumentException` - if set is null

Method Detail

### decorate

    public static Set decorate(Set set)

  Factory method to create a synchronized set.

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if set is null

### getSet

    protected Set getSet()

  Gets the decorated set.

  Returns:
    the decorated set

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.